Pulp - Issue #1590

Criteria object needs to be updated for use with pymongo 3
01/27/2016 06:51 PM - dkliban@redhat.com
Description

Criteria object[0] is used to pass query parameters to various mongoengine managers. Here[1] is just one example. Pymongo 3
stopped using the parameter 'fields' and replaced it with 'projection’. We need to update criteria object and it's use to make sure it is

in compliance with pymongo 3.

[0] https://github.com/pulp/pulp/blob/master/server/pulp/server/db/model/criteria.py#L 13

[1] https://github.com/pulp/pulp/blob/master/server/pulp/server/managers/consumer/query.py#L 72

Related issues:
Related to Pulp - Task #1578: Incoming searches should be translated by the m...

CLOSED - WONTFIX

Associated revisions

Revision 644b6075 - 01/22/2016 04:26 PM - rbarlow
Update Pulp to work with the pymongo 3.0.0 API.

https://pulp.plan.io/issues/1528

fixes #1528

History

#1 - 01/27/2016 07:53 PM - semyers
- Related to Task #1578: Incoming searches should be translated by the model added

#2 - 01/29/2016 04:54 PM - jortel@redhat.com

- Triaged changed from No to Yes

#3 - 02/01/2016 03:35 PM - amacdona@redhat.com

Here is the relevant migration guide from pymongo: http://api.mongodb.org/python/current/migrate-to-pymongo3.html#fields-renamed-projection

#4 - 02/03/2016 03:56 PM - pcreech
- Status changed from NEW to MODIFIED

- Assignee set to pcreech

This appears to be resolved with the pull request [0].
All underlying queries have been converted to using 'projection’ instead of 'fields'

The criteria object's fields have been left alone to maintain api compatibility

https://github.com/pulp/pulp/pull/2338

#5 - 02/23/2016 09:56 PM - dkliban@redhat.com
- Status changed from MODIFIED to 5
#6 - 03/23/2016 07:48 PM - dkliban@redhat.com
- Status changed from 5 to CLOSED - CURRENTRELEASE

#7 - 04/15/2019 10:37 PM - bmbouter
- Tags Pulp 2 added
